From 866a5fcaea5026274a1e15e270179cd874915824 Mon Sep 17 00:00:00 2001
From: Jelle van der Waa <jelle@vdwaa.nl>
Date: Sat, 22 Sep 2018 16:46:25 +0200
Subject: [PATCH] doc: Add man page for checkupdates

Signed-off-by: Jelle van der Waa <jelle@vdwaa.nl>
---
 doc/Makefile.am        |  4 ++++
 doc/checkupdates.8.txt | 37 +++++++++++++++++++++++++++++++++++++
 2 files changed, 41 insertions(+)
 create mode 100644 doc/checkupdates.8.txt

diff --git a/doc/Makefile.am b/doc/Makefile.am
index 65bc4f5..3b8452a 100644
--- a/doc/Makefile.am
+++ b/doc/Makefile.am
@@ -4,11 +4,13 @@
 # man_MANS if --enable-asciidoc and/or --enable-doxygen are used.
 
 ASCIIDOC_MANS = \
+	checkupdates.8 \
 	paccache.8 \
 	pacdiff.8 \
 	pactree.8
 
 HTML_MANPAGES = \
+	checkupdates.8.html \
 	paccache.8.html \
 	pacdiff.8.html \
 	pactree.8.html
@@ -23,6 +25,7 @@ HTML_DOCS = \
 EXTRA_DIST = \
 	asciidoc.conf \
 	asciidoc-override.css \
+	checkupdates.8.txt \
 	paccache.8.txt \
 	pacdiff.8.txt \
 	pactree.8.txt \
@@ -100,6 +103,7 @@ $(HTML_OTHER): asciidoc.conf Makefile.am
 %.3.html: ASCIIDOC_OPTS += -d manpage
 
 # Dependency rules
+checkupdates.8 checkupdates.8.html: checkupdates.8.txt
 paccache.8 paccache.8.html: paccache.8.txt
 pacdiff.8 pacdiff.8.html: pacdiff.8.txt
 pactree.8 pactree.8.html: pactree.8.txt
diff --git a/doc/checkupdates.8.txt b/doc/checkupdates.8.txt
new file mode 100644
index 0000000..97a1e23
--- /dev/null
+++ b/doc/checkupdates.8.txt
@@ -0,0 +1,37 @@
+/////
+vim:set ts=4 sw=4 syntax=asciidoc noet spell spelllang=en_us:
+/////
+checkupdates(8)
+=============
+
+Name
+----
+checkupdates - safely print a list of pending updates
+
+
+Synopsis
+--------
+'checkupdates'
+
+
+Description
+-----------
+Checks for pending updates using a separate Pacman database located in
+'TMPDIR' if 'CHECKUPDATES_DB' is not set and outputs a list of updates with the
+old and new version.
+
+
+Environment
+-----------
+*CHECKUPDATES_DB*::
+	Override the default update db location.
+
+*TMPDIR*::
+        Overrides the default '/tmp' temporary directory.
+
+
+See Also
+--------
+linkman:pacman[8], linkman:pacman.conf[5]
+
+include::footer.txt[]
-- 
2.19.0

